1

Тема: Установка 0.6.1-dev

Добрый вечер,

На последнем шаге установки возникает следующая ошибка:

~/Projects/virtenv$ sudo ./bin/pserve ./travelcrm/development.ini --reload
Starting subprocess with file monitor
Traceback (most recent call last):
  File "./bin/pserve", line 9, in <module>
    load_entry_point('pyramid==1.5.1', 'console_scripts', 'pserve')()
  File "/home/ubuntu/Projects/virtenv/local/lib/python2.7/site-packages/pyramid-1.5.1-py2.7.egg/pyramid/scripts/pserve.py", line 51, in main
    return command.run()
  File "/home/ubuntu/Projects/virtenv/local/lib/python2.7/site-packages/pyramid-1.5.1-py2.7.egg/pyramid/scripts/pserve.py", line 316, in run
    global_conf=vars)
  File "/home/ubuntu/Projects/virtenv/local/lib/python2.7/site-packages/pyramid-1.5.1-py2.7.egg/pyramid/scripts/pserve.py", line 340, in loadapp
    return loadapp(app_spec, name=name, relative_to=relative_to, **kw)
  File "/home/ubuntu/Projects/virtenv/local/lib/python2.7/site-packages/PasteDeploy-1.5.2-py2.7.egg/paste/deploy/loadwsgi.py", line 247, in loadapp
    return loadobj(APP, uri, name=name, **kw)
  File "/home/ubuntu/Projects/virtenv/local/lib/python2.7/site-packages/PasteDeploy-1.5.2-py2.7.egg/paste/deploy/loadwsgi.py", line 271, in loadobj
    global_conf=global_conf)
  File "/home/ubuntu/Projects/virtenv/local/lib/python2.7/site-packages/PasteDeploy-1.5.2-py2.7.egg/paste/deploy/loadwsgi.py", line 296, in loadcontext
    global_conf=global_conf)
  File "/home/ubuntu/Projects/virtenv/local/lib/python2.7/site-packages/PasteDeploy-1.5.2-py2.7.egg/paste/deploy/loadwsgi.py", line 320, in _loadconfig
    return loader.get_context(object_type, name, global_conf)
  File "/home/ubuntu/Projects/virtenv/local/lib/python2.7/site-packages/PasteDeploy-1.5.2-py2.7.egg/paste/deploy/loadwsgi.py", line 454, in get_context
    section)
  File "/home/ubuntu/Projects/virtenv/local/lib/python2.7/site-packages/PasteDeploy-1.5.2-py2.7.egg/paste/deploy/loadwsgi.py", line 476, in _context_from_use
    object_type, name=use, global_conf=global_conf)
  File "/home/ubuntu/Projects/virtenv/local/lib/python2.7/site-packages/PasteDeploy-1.5.2-py2.7.egg/paste/deploy/loadwsgi.py", line 406, in get_context
    global_conf=global_conf)
  File "/home/ubuntu/Projects/virtenv/local/lib/python2.7/site-packages/PasteDeploy-1.5.2-py2.7.egg/paste/deploy/loadwsgi.py", line 296, in loadcontext
    global_conf=global_conf)
  File "/home/ubuntu/Projects/virtenv/local/lib/python2.7/site-packages/PasteDeploy-1.5.2-py2.7.egg/paste/deploy/loadwsgi.py", line 328, in _loadegg
    return loader.get_context(object_type, name, global_conf)
  File "/home/ubuntu/Projects/virtenv/local/lib/python2.7/site-packages/PasteDeploy-1.5.2-py2.7.egg/paste/deploy/loadwsgi.py", line 620, in get_context
    object_type, name=name)
  File "/home/ubuntu/Projects/virtenv/local/lib/python2.7/site-packages/PasteDeploy-1.5.2-py2.7.egg/paste/deploy/loadwsgi.py", line 646, in find_egg_entry_point
    possible.append((entry.load(), protocol, entry.name))
  File "/home/ubuntu/Projects/virtenv/local/lib/python2.7/site-packages/pkg_resources.py", line 2147, in load
    ['__name__'])
ImportError: No module named travelcrm


Вы могли бы подсказать в чем может быть проблема?
Заранее спасибо за ответ.

С уважением,
Олег

2

Re: Установка 0.6.1-dev

пакет travelcrm не установлен
похоже для Вашего случая нужно сделать

./bin/python ./travelcrm/setup.py develop

должен установиться пакет и все зависимости.
После этого нужно восстановить бекап из travelcrm.sql и настроить development.ini

3

Re: Установка 0.6.1-dev

Я новичек в Питоне. Делаю все по инструкции с документации.
Выполнение команды ./bin/python ./travelcrm/setup.py develop заканчивается так:
Finished processing dependencies for travelcrm==0.6.1-dev

Бекап восстанавливается нормально.
После настроек development.ini, при попытке выполнить ./bin/pserve ./travelcrm/development.ini --reload возникает та же ошибка.

4

Re: Установка 0.6.1-dev

Если это поможет - система Ubuntu 14.04 LTS

5

Re: Установка 0.6.1-dev

похоже возникла путаница с путями и возможно используется не тот python интерпретатор
нужно прежде всего понять какой интерпретатор используется.
запустите

./bin/python

в открывшейся консоли

>>> import sys
>>> sys.executable

Вы увидите текущий путь к интерпретатору
Если он совпадает с ожидаемым (то есть это виртуальная установка), то нужно проверить в ./lib/python2.*/site-packages/ наличие пакета travelcrm*.egg
Если его там нет, то попробовать установить указав полные пути к интерпретатору и travelcrm.
Если пакет есть - то попробовать стартонуть приложение указав полные, а не относительные пути.

Еще может быть старая версия virtualenv ибо присутствует /local/ чего не должно быть или же не корректная установка виртуальной среды - вероятно не была использована опция --no-site-packages

6

Re: Установка 0.6.1-dev

Спасибо за ответ.

В virtualenv присутствует local. Возможно я где-то ошибся, но установку я делал по инструкции.
Попробую обновить, завтра напишу результат.

7

Re: Установка 0.6.1-dev

Установил дистрибутив Федора.
Ситуация такая же. Только папки local уже нет.
Путь к интерпретатору выдает правильный (виртуальная установка).
В ./lib/python2.7/site-packages/ пакета travelcrm*.egg нет. Есть только travelcrm.egg-link

На всякий случай привожу лог установки (./bin/python ./travelcrm/setup.py develop)
Чтобы здесь отображалось поменял http на ttp.

running develop
running egg_info
writing requirements to travelcrm.egg-info/requires.txt
writing travelcrm.egg-info/PKG-INFO
writing top-level names to travelcrm.egg-info/top_level.txt
writing dependency_links to travelcrm.egg-info/dependency_links.txt
writing entry points to travelcrm.egg-info/entry_points.txt
warning: manifest_maker: standard file 'setup.py' not found

reading manifest file 'travelcrm.egg-info/SOURCES.txt'
writing manifest file 'travelcrm.egg-info/SOURCES.txt'
running build_ext
Creating /home/fedora/Projects/virtenv/lib/python2.7/site-packages/travelcrm.egg-link (link to .)
travelcrm 0.6.1-dev is already the active version in easy-install.pth
Installing initialize_travelcrm_db script to /home/fedora/Projects/virtenv/bin

Installed /home/fedora/Projects/virtenv
Processing dependencies for travelcrm==0.6.1-dev
Searching for psycopg2
Reading ttps://pypi.python.org/simple/psycopg2/
Reading ttp://initd.org/projects/psycopg2
Best match: psycopg2 2.5.4
Downloading ttps://pypi.python.org/packages/source/p/psycopg2/psycopg2-2.5.4.tar.gz#md5=25216543a707eb33fd83aa8efb6e3f26
Processing psycopg2-2.5.4.tar.gz
Writing /tmp/easy_install-iTPAok/psycopg2-2.5.4/setup.cfg
Running psycopg2-2.5.4/setup.py -q bdist_egg --dist-dir /tmp/easy_install-iTPAok/psycopg2-2.5.4/egg-dist-tmp-82bF9q
zip_safe flag not set; analyzing archive contents...
psycopg2.tests.test_module: module references __file__
psycopg2.tests.test_types_basic: module references __file__
Adding psycopg2 2.5.4 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/psycopg2-2.5.4-py2.7-linux-i686.egg
Searching for pyramid-layout
Reading ttps://pypi.python.org/simple/pyramid_layout/
Best match: pyramid-layout 1.0
Downloading ttps://pypi.python.org/packages/source/p/pyramid_layout/pyramid_layout-1.0.tar.gz#md5=e9c3fccefddd78f75bccb3f75df2de1f
Processing pyramid_layout-1.0.tar.gz
Writing /tmp/easy_install-1uVehS/pyramid_layout-1.0/setup.cfg
Running pyramid_layout-1.0/setup.py -q bdist_egg --dist-dir /tmp/easy_install-1uVehS/pyramid_layout-1.0/egg-dist-tmp-B3OKhR
Adding pyramid-layout 1.0 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/pyramid_layout-1.0-py2.7.egg
Searching for webhelpers
Reading ttps://pypi.python.org/simple/webhelpers/
Best match: WebHelpers 1.3
Downloading ttps://pypi.python.org/packages/source/W/WebHelpers/WebHelpers-1.3.tar.gz#md5=32749ffadfc40fea51075a7def32588b
Processing WebHelpers-1.3.tar.gz
Writing /tmp/easy_install-Sz35w9/WebHelpers-1.3/setup.cfg
Running WebHelpers-1.3/setup.py -q bdist_egg --dist-dir /tmp/easy_install-Sz35w9/WebHelpers-1.3/egg-dist-tmp-pOkaXB
no previously-included directories found matching 'docs/_build'
Adding WebHelpers 1.3 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/WebHelpers-1.3-py2.7.egg
Searching for alembic
Reading ttps://pypi.python.org/simple/alembic/
Best match: alembic 0.6.7
Downloading ttps://pypi.python.org/packages/source/a/alembic/alembic-0.6.7.tar.gz#md5=3beaa1a95aad17a4fbb3b4a0d5684f28
Processing alembic-0.6.7.tar.gz
Writing /tmp/easy_install-SSVOrO/alembic-0.6.7/setup.cfg
Running alembic-0.6.7/setup.py -q bdist_egg --dist-dir /tmp/easy_install-SSVOrO/alembic-0.6.7/egg-dist-tmp-_5P_IS
warning: no files found matching '*.jpg' under directory 'docs'
warning: no files found matching '*.sty' under directory 'docs'
warning: no files found matching '*.dat' under directory 'tests'
warning: no files found matching 'distribute_setup.py'
no previously-included directories found matching 'docs/build/output'
Adding alembic 0.6.7 to easy-install.pth file
Installing alembic script to /home/fedora/Projects/virtenv/bin

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/alembic-0.6.7-py2.7.egg
Searching for wsgithumb
Reading ttps://pypi.python.org/simple/wsgithumb/
Best match: wsgithumb 0.1
Downloading ttps://pypi.python.org/packages/source/w/wsgithumb/wsgithumb-0.1.tar.gz#md5=468a807f86cf7052d5d0d1a691a84202
Processing wsgithumb-0.1.tar.gz
Writing /tmp/easy_install-Hgde2O/wsgithumb-0.1/setup.cfg
Running wsgithumb-0.1/setup.py -q bdist_egg --dist-dir /tmp/easy_install-Hgde2O/wsgithumb-0.1/egg-dist-tmp-qvnBbs
Adding wsgithumb 0.1 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/wsgithumb-0.1-py2.7.egg
Searching for colander
Reading ttps://pypi.python.org/simple/colander/
Best match: colander 1.0b1
Downloading ttps://pypi.python.org/packages/source/c/colander/colander-1.0b1.tar.gz#md5=89f2cf4b5c87d43f7917d6a0d4872e6a
Processing colander-1.0b1.tar.gz
Writing /tmp/easy_install-J1a8kQ/colander-1.0b1/setup.cfg
Running colander-1.0b1/setup.py -q bdist_egg --dist-dir /tmp/easy_install-J1a8kQ/colander-1.0b1/egg-dist-tmp-PG18eD
Adding colander 1.0b1 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/colander-1.0b1-py2.7.egg
Searching for waitress
Reading ttps://pypi.python.org/simple/waitress/
Best match: waitress 0.8.9
Downloading ttps://pypi.python.org/packages/source/w/waitress/waitress-0.8.9.tar.gz#md5=da3f2e62b3676be5dd630703a68e2a04
Processing waitress-0.8.9.tar.gz
Writing /tmp/easy_install-kxNmr7/waitress-0.8.9/setup.cfg
Running waitress-0.8.9/setup.py -q bdist_egg --dist-dir /tmp/easy_install-kxNmr7/waitress-0.8.9/egg-dist-tmp-ljgtAY
Adding waitress 0.8.9 to easy-install.pth file
Installing waitress-serve script to /home/fedora/Projects/virtenv/bin

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/waitress-0.8.9-py2.7.egg
Searching for zope.sqlalchemy
Reading ttps://pypi.python.org/simple/zope.sqlalchemy/
Best match: zope.sqlalchemy 0.7.5
Downloading ttps://pypi.python.org/packages/source/z/zope.sqlalchemy/zope.sqlalchemy-0.7.5.zip#md5=0a468bd5b8884cd29fb71acbf7eaa31e
Processing zope.sqlalchemy-0.7.5.zip
Writing /tmp/easy_install-hccSvF/zope.sqlalchemy-0.7.5/setup.cfg
Running zope.sqlalchemy-0.7.5/setup.py -q bdist_egg --dist-dir /tmp/easy_install-hccSvF/zope.sqlalchemy-0.7.5/egg-dist-tmp-oZag_f
Adding zope.sqlalchemy 0.7.5 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/zope.sqlalchemy-0.7.5-py2.7.egg
Searching for transaction
Reading ttps://pypi.python.org/simple/transaction/
Best match: transaction 1.4.3
Downloading ttps://pypi.python.org/packages/source/t/transaction/transaction-1.4.3.tar.gz#md5=b4ca5983c9e3a0808ff5ff7648092c76
Processing transaction-1.4.3.tar.gz
Writing /tmp/easy_install-uCkKmQ/transaction-1.4.3/setup.cfg
Running transaction-1.4.3/setup.py -q bdist_egg --dist-dir /tmp/easy_install-uCkKmQ/transaction-1.4.3/egg-dist-tmp-BzIuFK
warning: no previously-included files matching '*.dll' found anywhere in distribution
warning: no previously-included files matching '*.pyc' found anywhere in distribution
warning: no previously-included files matching '*.pyo' found anywhere in distribution
warning: no previously-included files matching '*.so' found anywhere in distribution
Adding transaction 1.4.3 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/transaction-1.4.3-py2.7.egg
Searching for SQLAlchemy>=0.9.4
Reading ttps://pypi.python.org/simple/SQLAlchemy/
Best match: SQLAlchemy 0.9.7
Downloading ttps://pypi.python.org/packages/source/S/SQLAlchemy/SQLAlchemy-0.9.7.tar.gz#md5=e3c8f836ea9b48886718f59b9d8646ff
Processing SQLAlchemy-0.9.7.tar.gz
Writing /tmp/easy_install-1Qi6y8/SQLAlchemy-0.9.7/setup.cfg
Running SQLAlchemy-0.9.7/setup.py -q bdist_egg --dist-dir /tmp/easy_install-1Qi6y8/SQLAlchemy-0.9.7/egg-dist-tmp-6QqLks
warning: no files found matching '*.jpg' under directory 'doc'
warning: no files found matching 'distribute_setup.py'
warning: no files found matching 'sa2to3.py'
warning: no files found matching 'ez_setup.py'
no previously-included directories found matching 'doc/build/output'
zip_safe flag not set; analyzing archive contents...
sqlalchemy.testing.plugin.noseplugin: module references __file__
Adding SQLAlchemy 0.9.7 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/SQLAlchemy-0.9.7-py2.7-linux-i686.egg
Searching for pyramid-tm
Reading ttps://pypi.python.org/simple/pyramid_tm/
Best match: pyramid-tm 0.7
Downloading ttps://pypi.python.org/packages/source/p/pyramid_tm/pyramid_tm-0.7.tar.gz#md5=6dc917d262c69366630c542bd21859a3
Processing pyramid_tm-0.7.tar.gz
Writing /tmp/easy_install-6FoLAy/pyramid_tm-0.7/setup.cfg
Running pyramid_tm-0.7/setup.py -q bdist_egg --dist-dir /tmp/easy_install-6FoLAy/pyramid_tm-0.7/egg-dist-tmp-ZOfYQ6
Adding pyramid-tm 0.7 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/pyramid_tm-0.7-py2.7.egg
Searching for pyramid-debugtoolbar
Reading ttps://pypi.python.org/simple/pyramid_debugtoolbar/
Best match: pyramid-debugtoolbar 2.2
Downloading ttps://pypi.python.org/packages/source/p/pyramid_debugtoolbar/pyramid_debugtoolbar-2.2.tar.gz#md5=9b20b80a33e319e90a96e58fefd1895b
Processing pyramid_debugtoolbar-2.2.tar.gz
Writing /tmp/easy_install-7pph3a/pyramid_debugtoolbar-2.2/setup.cfg
Running pyramid_debugtoolbar-2.2/setup.py -q bdist_egg --dist-dir /tmp/easy_install-7pph3a/pyramid_debugtoolbar-2.2/egg-dist-tmp-mKJ01P
Adding pyramid-debugtoolbar 2.2 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/pyramid_debugtoolbar-2.2-py2.7.egg
Searching for pyramid-mako
Reading ttps://pypi.python.org/simple/pyramid_mako/
Best match: pyramid-mako 1.0.2
Downloading ttps://pypi.python.org/packages/source/p/pyramid_mako/pyramid_mako-1.0.2.tar.gz#md5=ee25343a97eb76bd90abdc2a774eb48a
Processing pyramid_mako-1.0.2.tar.gz
Writing /tmp/easy_install-o5ybGg/pyramid_mako-1.0.2/setup.cfg
Running pyramid_mako-1.0.2/setup.py -q bdist_egg --dist-dir /tmp/easy_install-o5ybGg/pyramid_mako-1.0.2/egg-dist-tmp-3bRQOg
warning: no files found matching '*.*_tmpl' under directory 'pyramid_mako'
warning: no files found matching '*.ico' under directory 'pyramid_mako'
warning: no files found matching '*.png' under directory 'pyramid_mako'
warning: no files found matching '*.pot' under directory 'pyramid_mako'
warning: no files found matching '*.cfg' under directory 'pyramid_mako'
warning: no files found matching '*.mo' under directory 'pyramid_mako'
warning: no files found matching '*.po' under directory 'pyramid_mako'
warning: no files found matching '*.ini' under directory 'pyramid_mako'
Adding pyramid-mako 1.0.2 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/pyramid_mako-1.0.2-py2.7.egg
Searching for pyramid
Reading ttps://pypi.python.org/simple/pyramid/
Best match: pyramid 1.5.1
Downloading ttps://pypi.python.org/packages/source/p/pyramid/pyramid-1.5.1.tar.gz#md5=8a1ab3b773d8e22437828f7df22852c1
Processing pyramid-1.5.1.tar.gz
Writing /tmp/easy_install-Iejzda/pyramid-1.5.1/setup.cfg
Running pyramid-1.5.1/setup.py -q bdist_egg --dist-dir /tmp/easy_install-Iejzda/pyramid-1.5.1/egg-dist-tmp-hLDMJN
Adding pyramid 1.5.1 to easy-install.pth file
Installing ptweens script to /home/fedora/Projects/virtenv/bin
Installing pdistreport script to /home/fedora/Projects/virtenv/bin
Installing proutes script to /home/fedora/Projects/virtenv/bin
Installing pshell script to /home/fedora/Projects/virtenv/bin
Installing prequest script to /home/fedora/Projects/virtenv/bin
Installing pviews script to /home/fedora/Projects/virtenv/bin
Installing pcreate script to /home/fedora/Projects/virtenv/bin
Installing pserve script to /home/fedora/Projects/virtenv/bin

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/pyramid-1.5.1-py2.7.egg
Searching for Jinja2>=2.3
Reading ttps://pypi.python.org/simple/Jinja2/
Best match: Jinja2 2.7.3
Downloading ttps://pypi.python.org/packages/source/J/Jinja2/Jinja2-2.7.3.tar.gz#md5=b9dffd2f3b43d673802fe857c8445b1a
Processing Jinja2-2.7.3.tar.gz
Writing /tmp/easy_install-c6e4Yc/Jinja2-2.7.3/setup.cfg
Running Jinja2-2.7.3/setup.py -q bdist_egg --dist-dir /tmp/easy_install-c6e4Yc/Jinja2-2.7.3/egg-dist-tmp-2bJ9bd
warning: no files found matching '*' under directory 'custom_fixers'
warning: no previously-included files matching '*' found under directory 'docs/_build'
warning: no previously-included files matching '*.pyc' found under directory 'jinja2'
warning: no previously-included files matching '*.pyc' found under directory 'docs'
warning: no previously-included files matching '*.pyo' found under directory 'jinja2'
warning: no previously-included files matching '*.pyo' found under directory 'docs'
Adding Jinja2 2.7.3 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/Jinja2-2.7.3-py2.7.egg
Searching for docutils>=0.7
Reading ttps://pypi.python.org/simple/docutils/
Best match: docutils 0.12
Downloading ttps://pypi.python.org/packages/source/d/docutils/docutils-0.12.tar.gz#md5=4622263b62c5c771c03502afa3157768
Processing docutils-0.12.tar.gz
Writing /tmp/easy_install-S6lB6t/docutils-0.12/setup.cfg
Running docutils-0.12/setup.py -q bdist_egg --dist-dir /tmp/easy_install-S6lB6t/docutils-0.12/egg-dist-tmp-13TAAh
warning: no files found matching 'MANIFEST'
warning: no files found matching '*' under directory 'extras'
warning: no previously-included files matching '.cvsignore' found under directory '*'
warning: no previously-included files matching '*.pyc' found under directory '*'
warning: no previously-included files matching '*~' found under directory '*'
warning: no previously-included files matching '.DS_Store' found under directory '*'
zip_safe flag not set; analyzing archive contents...
docutils.writers.docutils_xml: module references __path__
docutils.writers.html4css1.__init__: module references __file__
docutils.writers.latex2e.__init__: module references __file__
docutils.writers.pep_html.__init__: module references __file__
docutils.writers.odf_odt.__init__: module references __file__
docutils.writers.s5_html.__init__: module references __file__
docutils.parsers.rst.directives.misc: module references __file__
Adding docutils 0.12 to easy-install.pth file
Installing rst2man.py script to /home/fedora/Projects/virtenv/bin
Installing rst2odt_prepstyles.py script to /home/fedora/Projects/virtenv/bin
Installing rst2pseudoxml.py script to /home/fedora/Projects/virtenv/bin
Installing rst2xetex.py script to /home/fedora/Projects/virtenv/bin
Installing rst2html.py script to /home/fedora/Projects/virtenv/bin
Installing rstpep2html.py script to /home/fedora/Projects/virtenv/bin
Installing rst2xml.py script to /home/fedora/Projects/virtenv/bin
Installing rst2s5.py script to /home/fedora/Projects/virtenv/bin
Installing rst2latex.py script to /home/fedora/Projects/virtenv/bin
Installing rst2odt.py script to /home/fedora/Projects/virtenv/bin

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/docutils-0.12-py2.7.egg
Searching for Pygments>=1.2
Reading ttps://pypi.python.org/simple/Pygments/
Best match: Pygments 1.6
Downloading ttps://pypi.python.org/packages/2.7/P/Pygments/Pygments-1.6-py2.7.egg#md5=1e1e52b1e434502682aab08938163034
Processing Pygments-1.6-py2.7.egg
creating /home/fedora/Projects/virtenv/lib/python2.7/site-packages/Pygments-1.6-py2.7.egg
Extracting Pygments-1.6-py2.7.egg to /home/fedora/Projects/virtenv/lib/python2.7/site-packages
Adding Pygments 1.6 to easy-install.pth file
Installing pygmentize script to /home/fedora/Projects/virtenv/bin

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/Pygments-1.6-py2.7.egg
Searching for beaker
Reading ttps://pypi.python.org/simple/beaker/
Best match: Beaker 1.6.4
Downloading ttps://pypi.python.org/packages/source/B/Beaker/Beaker-1.6.4.tar.gz#md5=c2e102870ed4c53104dec48ceadf8e9d
Processing Beaker-1.6.4.tar.gz
Writing /tmp/easy_install-rpDzaj/Beaker-1.6.4/setup.cfg
Running Beaker-1.6.4/setup.py -q bdist_egg --dist-dir /tmp/easy_install-rpDzaj/Beaker-1.6.4/egg-dist-tmp-KSJS2b
Adding Beaker 1.6.4 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/Beaker-1.6.4-py2.7.egg
Searching for MarkupSafe>=0.9.2
Reading ttps://pypi.python.org/simple/MarkupSafe/
Best match: MarkupSafe 0.23
Downloading ttps://pypi.python.org/packages/source/M/MarkupSafe/MarkupSafe-0.23.tar.gz#md5=f5ab3deee4c37cd6a922fb81e730da6e
Processing MarkupSafe-0.23.tar.gz
Writing /tmp/easy_install-9z8DgT/MarkupSafe-0.23/setup.cfg
Running MarkupSafe-0.23/setup.py -q bdist_egg --dist-dir /tmp/easy_install-9z8DgT/MarkupSafe-0.23/egg-dist-tmp-lzWk5G
Adding MarkupSafe 0.23 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/MarkupSafe-0.23-py2.7-linux-i686.egg
Searching for Mako
Reading ttps://pypi.python.org/simple/Mako/
Best match: Mako 1.0.0
Downloading ttps://pypi.python.org/packages/source/M/Mako/Mako-1.0.0.tar.gz#md5=ae27c6512832fe528bb67f1a851921cc
Processing Mako-1.0.0.tar.gz
Writing /tmp/easy_install-1vFuUG/Mako-1.0.0/setup.cfg
Running Mako-1.0.0/setup.py -q bdist_egg --dist-dir /tmp/easy_install-1vFuUG/Mako-1.0.0/egg-dist-tmp-45EK3x
warning: no files found matching '*.xml' under directory 'examples'
warning: no files found matching '*.mako' under directory 'examples'
warning: no files found matching 'ez_setup.py'
no previously-included directories found matching 'doc/build/output'
Adding Mako 1.0.0 to easy-install.pth file
Installing mako-render script to /home/fedora/Projects/virtenv/bin

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/Mako-1.0.0-py2.7.egg
Searching for PIL
Reading ttps://pypi.python.org/simple/PIL/
Reading ttp://effbot.org/downloads/#Imaging
Reading ttp://effbot.org/zone/pil-changes-115.htm
Reading ttp://www.pythonware.com/products/pil
Best match: PIL 1.1.7
Downloading ttp://effbot.org/media/downloads/PIL-1.1.7.tar.gz
Processing PIL-1.1.7.tar.gz
Writing /tmp/easy_install-xr4uBL/PIL-1.1.7/setup.cfg
Running PIL-1.1.7/setup.py -q bdist_egg --dist-dir /tmp/easy_install-xr4uBL/PIL-1.1.7/egg-dist-tmp-dZ_Nup
WARNING: '' not a valid package name; please use only.-separated package names in setup.py
_imaging.c: In function ‘init_imaging’:
_imaging.c:3253:15: warning: variable ‘d’ set but not used [-Wunused-but-set-variable]
     PyObject* d;
               ^
--------------------------------------------------------------------
PIL 1.1.7 SETUP SUMMARY
--------------------------------------------------------------------
version       1.1.7
platform      linux2 2.7.5 (default, Jun 25 2014, 10:19:13)
              [GCC 4.8.2 20131212 (Red Hat 4.8.2-7)]
--------------------------------------------------------------------
*** TKINTER support not available
*** JPEG support not available
*** ZLIB (PNG/ZIP) support not available
*** FREETYPE2 support not available
*** LITTLECMS support not available
--------------------------------------------------------------------
To add a missing option, make sure you have the required
library, and set the corresponding ROOT variable in the
setup.py script.

To check the build, run the selftest.py script.
zip_safe flag not set; analyzing archive contents...
Image: module references __file__
Adding PIL 1.1.7 to easy-install.pth file
Installing pildriver.py script to /home/fedora/Projects/virtenv/bin
Installing pilconvert.py script to /home/fedora/Projects/virtenv/bin
Installing pilprint.py script to /home/fedora/Projects/virtenv/bin
Installing pilfont.py script to /home/fedora/Projects/virtenv/bin
Installing pilfile.py script to /home/fedora/Projects/virtenv/bin

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/PIL-1.1.7-py2.7-linux-i686.egg
Searching for WebOb
Reading ttps://pypi.python.org/simple/WebOb/
Best match: WebOb 1.4
Downloading ttps://pypi.python.org/packages/source/W/WebOb/WebOb-1.4.tar.gz#md5=8437607c0cc00c35f658f972516ffb55
Processing WebOb-1.4.tar.gz
Writing /tmp/easy_install-qGINzc/WebOb-1.4/setup.cfg
Running WebOb-1.4/setup.py -q bdist_egg --dist-dir /tmp/easy_install-qGINzc/WebOb-1.4/egg-dist-tmp-yagON_
no previously-included directories found matching '*.pyc'
no previously-included directories found matching '*.pyo'
Adding WebOb 1.4 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/WebOb-1.4-py2.7.egg
Searching for translationstring
Reading ttps://pypi.python.org/simple/translationstring/
Best match: translationstring 1.1
Downloading ttps://pypi.python.org/packages/source/t/translationstring/translationstring-1.1.tar.gz#md5=0979b46d8f0f852810c8ec4be5c26cf2
Processing translationstring-1.1.tar.gz
Writing /tmp/easy_install-1bNrnm/translationstring-1.1/setup.cfg
Running translationstring-1.1/setup.py -q bdist_egg --dist-dir /tmp/easy_install-1bNrnm/translationstring-1.1/egg-dist-tmp-ahOx44
no previously-included directories found matching 'docs/_build'
Adding translationstring 1.1 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/translationstring-1.1-py2.7.egg
Searching for zope.interface>=3.6.0
Reading ttps://pypi.python.org/simple/zope.interface/
Best match: zope.interface 4.1.1
Downloading ttps://pypi.python.org/packages/source/z/zope.interface/zope.interface-4.1.1.tar.gz#md5=edcd5f719c5eb2e18894c4d06e29b6c6
Processing zope.interface-4.1.1.tar.gz
Writing /tmp/easy_install-SmS0ee/zope.interface-4.1.1/setup.cfg
Running zope.interface-4.1.1/setup.py -q bdist_egg --dist-dir /tmp/easy_install-SmS0ee/zope.interface-4.1.1/egg-dist-tmp-bMegYM
warning: no previously-included files matching '*.dll' found anywhere in distribution
warning: no previously-included files matching '*.pyc' found anywhere in distribution
warning: no previously-included files matching '*.pyo' found anywhere in distribution
warning: no previously-included files matching '*.so' found anywhere in distribution
Adding zope.interface 4.1.1 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/zope.interface-4.1.1-py2.7-linux-i686.egg
Searching for repoze.lru
Reading ttps://pypi.python.org/simple/repoze.lru/
Best match: repoze.lru 0.6
Downloading ttps://pypi.python.org/packages/source/r/repoze.lru/repoze.lru-0.6.tar.gz#md5=2c3b64b17a8e18b405f55d46173e14dd
Processing repoze.lru-0.6.tar.gz
Writing /tmp/easy_install-c3X6wu/repoze.lru-0.6/setup.cfg
Running repoze.lru-0.6/setup.py -q bdist_egg --dist-dir /tmp/easy_install-c3X6wu/repoze.lru-0.6/egg-dist-tmp-icn9OD
Adding repoze.lru 0.6 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/repoze.lru-0.6-py2.7.egg
Searching for PasteDeploy>=1.5.0
Reading ttps://pypi.python.org/simple/PasteDeploy/
Best match: PasteDeploy 1.5.2
Downloading ttps://pypi.python.org/packages/source/P/PasteDeploy/PasteDeploy-1.5.2.tar.gz#md5=352b7205c78c8de4987578d19431af3b
Processing PasteDeploy-1.5.2.tar.gz
Writing /tmp/easy_install-0i3smC/PasteDeploy-1.5.2/setup.cfg
Running PasteDeploy-1.5.2/setup.py -q bdist_egg --dist-dir /tmp/easy_install-0i3smC/PasteDeploy-1.5.2/egg-dist-tmp-Ukx3qb
Adding PasteDeploy 1.5.2 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/PasteDeploy-1.5.2-py2.7.egg
Searching for venusian>=1.0a3
Reading ttps://pypi.python.org/simple/venusian/
Best match: venusian 1.0
Downloading ttps://pypi.python.org/packages/source/v/venusian/venusian-1.0.tar.gz#md5=dccf2eafb7113759d60c86faf5538756
Processing venusian-1.0.tar.gz
Writing /tmp/easy_install-3XODtJ/venusian-1.0/setup.cfg
Running venusian-1.0/setup.py -q bdist_egg --dist-dir /tmp/easy_install-3XODtJ/venusian-1.0/egg-dist-tmp-WmKlQO
Adding venusian 1.0 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/venusian-1.0-py2.7.egg
Searching for zope.deprecation>=3.5.0
Reading ttps://pypi.python.org/simple/zope.deprecation/
Best match: zope.deprecation 4.1.1
Downloading ttps://pypi.python.org/packages/source/z/zope.deprecation/zope.deprecation-4.1.1.tar.gz#md5=ce261b9384066f7e13b63525778430cb
Processing zope.deprecation-4.1.1.tar.gz
Writing /tmp/easy_install-kyKXr6/zope.deprecation-4.1.1/setup.cfg
Running zope.deprecation-4.1.1/setup.py -q bdist_egg --dist-dir /tmp/easy_install-kyKXr6/zope.deprecation-4.1.1/egg-dist-tmp-UHApj3
warning: no previously-included files matching '*.dll' found anywhere in distribution
warning: no previously-included files matching '*.pyc' found anywhere in distribution
warning: no previously-included files matching '*.pyo' found anywhere in distribution
warning: no previously-included files matching '*.so' found anywhere in distribution
Adding zope.deprecation 4.1.1 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/zope.deprecation-4.1.1-py2.7.egg
Searching for sphinx-bootstrap-theme==0.4.1
Best match: sphinx-bootstrap-theme 0.4.1
Processing sphinx_bootstrap_theme-0.4.1-py2.7.egg
sphinx-bootstrap-theme 0.4.1 is already the active version in easy-install.pth

Using /home/fedora/Projects/virtenv/lib/python2.7/site-packages/sphinx_bootstrap_theme-0.4.1-py2.7.egg
Searching for Sphinx==1.2.3
Best match: Sphinx 1.2.3
Processing Sphinx-1.2.3-py2.7.egg
Sphinx 1.2.3 is already the active version in easy-install.pth
Installing sphinx-apidoc script to /home/fedora/Projects/virtenv/bin
Installing sphinx-build script to /home/fedora/Projects/virtenv/bin
Installing sphinx-quickstart script to /home/fedora/Projects/virtenv/bin
Installing sphinx-autogen script to /home/fedora/Projects/virtenv/bin

Using /home/fedora/Projects/virtenv/lib/python2.7/site-packages/Sphinx-1.2.3-py2.7.egg
Searching for pyramid-storage==0.0.7
Best match: pyramid-storage 0.0.7
Processing pyramid_storage-0.0.7-py2.7.egg
pyramid-storage 0.0.7 is already the active version in easy-install.pth

Using /home/fedora/Projects/virtenv/lib/python2.7/site-packages/pyramid_storage-0.0.7-py2.7.egg
Searching for phonenumbers==6.2.0
Best match: phonenumbers 6.2.0
Processing phonenumbers-6.2.0-py2.7.egg
phonenumbers 6.2.0 is already the active version in easy-install.pth

Using /home/fedora/Projects/virtenv/lib/python2.7/site-packages/phonenumbers-6.2.0-py2.7.egg
Searching for Babel==1.3
Best match: Babel 1.3
Processing Babel-1.3-py2.7.egg
Babel 1.3 is already the active version in easy-install.pth
Installing pybabel script to /home/fedora/Projects/virtenv/bin

Using /home/fedora/Projects/virtenv/lib/python2.7/site-packages/Babel-1.3-py2.7.egg
Searching for Whoosh==2.6.0
Best match: Whoosh 2.6.0
Processing Whoosh-2.6.0-py2.7.egg
Whoosh 2.6.0 is already the active version in easy-install.pth

Using /home/fedora/Projects/virtenv/lib/python2.7/site-packages/Whoosh-2.6.0-py2.7.egg
Searching for pyramid-beaker==0.8
Best match: pyramid-beaker 0.8
Processing pyramid_beaker-0.8-py2.7.egg
pyramid-beaker 0.8 is already the active version in easy-install.pth

Using /home/fedora/Projects/virtenv/lib/python2.7/site-packages/pyramid_beaker-0.8-py2.7.egg
Searching for setuptools==3.6
Best match: setuptools 3.6
Adding setuptools 3.6 to easy-install.pth file
Installing easy_install-3.4 script to /home/fedora/Projects/virtenv/bin
Installing easy_install script to /home/fedora/Projects/virtenv/bin

Using /home/fedora/Projects/virtenv/lib/python2.7/site-packages
Searching for pytz==2014.7
Best match: pytz 2014.7
Processing pytz-2014.7-py2.7.egg
Copying pytz-2014.7-py2.7.egg to /home/fedora/Projects/virtenv/lib/python2.7/site-packages
Adding pytz 2014.7 to easy-install.pth file

Installed /home/fedora/Projects/virtenv/lib/python2.7/site-packages/pytz-2014.7-py2.7.egg
Finished processing dependencies for travelcrm==0.6.1-dev

8

Re: Установка 0.6.1-dev

Удалите полностью папку

travelcrm.egg-info

в директории проекта и повторите установку

./bin/python ./travelcrm/setup.py develop

9

Re: Установка 0.6.1-dev

Работает. Спасибо.

10

Re: Установка 0.6.1-dev

Добрый день!

аналогичная проблема, перепробовал все что здесь писали, но  в ./lib/python2.7/site-packages/ пакет travelcrm*.egg так и не появился, заранее спасибо за любую помощь

/home/Projects/virtenv/lib/python2.7/site-packages/setuptools/dist.py:285: Us                                                                                                                     erWarning: Normalizing '0.6.3-dev' to '0.6.3.dev0'
  normalized_version,
running develop
running egg_info
creating travelcrm.egg-info
writing requirements to travelcrm.egg-info/requires.txt
writing travelcrm.egg-info/PKG-INFO
writing top-level names to travelcrm.egg-info/top_level.txt
writing dependency_links to travelcrm.egg-info/dependency_links.txt
writing entry points to travelcrm.egg-info/entry_points.txt
writing manifest file 'travelcrm.egg-info/SOURCES.txt'
warning: manifest_maker: standard file 'setup.py' not found

reading manifest file 'travelcrm.egg-info/SOURCES.txt'
writing manifest file 'travelcrm.egg-info/SOURCES.txt'
running build_ext
Creating /home/Projects/virtenv/lib/python2.7/site-packages/travelcrm.egg-lin                                                                                                                     k (link to .)
Removing travelcrm 0.6.3.dev0 from easy-install.pth file
travelcrm 0.6.3.dev0 is already the active version in easy-install.pth
Installing initialize_travelcrm_db script to /home/Projects/virtenv/bin

Installed /home/Projects/virtenv
Processing dependencies for travelcrm==0.6.3.dev0
Searching for bitmath==1.2.3.post4
Best match: bitmath 1.2.3.post4
Processing bitmath-1.2.3.post4-py2.7.egg
bitmath 1.2.3.post4 is already the active version in easy-install.pth
Installing bitmath script to /home/Projects/virtenv/bin

Using /home/Projects/virtenv/lib/python2.7/site-packages/bitmath-1.2.3.post4-                                                                                                                     py2.7.egg
Searching for dateutils==0.6.6
Best match: dateutils 0.6.6
Processing dateutils-0.6.6-py2.7.egg
dateutils 0.6.6 is already the active version in easy-install.pth
Installing datediff script to /home/Projects/virtenv/bin
Installing dateadd script to /home/Projects/virtenv/bin

Using /home/Projects/virtenv/lib/python2.7/site-packages/dateutils-0.6.6-py2.                                                                                                                     7.egg
Searching for APScheduler==3.0.3
Best match: APScheduler 3.0.3
Processing APScheduler-3.0.3-py2.7.egg
APScheduler 3.0.3 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/APScheduler-3.0.3-py                                                                                                                     2.7.egg
Searching for pdfkit==0.5.0
Best match: pdfkit 0.5.0
Processing pdfkit-0.5.0-py2.7.egg
pdfkit 0.5.0 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/pdfkit-0.5.0-py2.7.e                                                                                                                     gg
Searching for sphinx-bootstrap-theme==0.4.7
Best match: sphinx-bootstrap-theme 0.4.7
Processing sphinx_bootstrap_theme-0.4.7-py2.7.egg
sphinx-bootstrap-theme 0.4.7 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/sphinx_bootstrap_the                                                                                                                     me-0.4.7-py2.7.egg
Searching for Sphinx==1.3.1
Best match: Sphinx 1.3.1
Processing Sphinx-1.3.1-py2.7.egg
Sphinx 1.3.1 is already the active version in easy-install.pth
Installing sphinx-apidoc script to /home/Projects/virtenv/bin
Installing sphinx-build script to /home/Projects/virtenv/bin
Installing sphinx-quickstart script to /home/Projects/virtenv/bin
Installing sphinx-autogen script to /home/Projects/virtenv/bin

Using /home/Projects/virtenv/lib/python2.7/site-packages/Sphinx-1.3.1-py2.7.e                                                                                                                     gg
Searching for pyramid-mailer==0.14.1
Best match: pyramid-mailer 0.14.1
Processing pyramid_mailer-0.14.1-py2.7.egg
pyramid-mailer 0.14.1 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/pyramid_mailer-0.14.                                                                                                                     1-py2.7.egg
Searching for pyramid-storage==0.0.8
Best match: pyramid-storage 0.0.8
Processing pyramid_storage-0.0.8-py2.7.egg
pyramid-storage 0.0.8 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/pyramid_storage-0.0.                                                                                                                     8-py2.7.egg
Searching for phonenumbers==7.0.8
Best match: phonenumbers 7.0.8
Processing phonenumbers-7.0.8-py2.7.egg
phonenumbers 7.0.8 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/phonenumbers-7.0.8-p                                                                                                                     y2.7.egg
Searching for Babel==2.0
Best match: Babel 2.0
Processing Babel-2.0-py2.7.egg
Babel 2.0 is already the active version in easy-install.pth
Installing pybabel script to /home/Projects/virtenv/bin

Using /home/Projects/virtenv/lib/python2.7/site-packages/Babel-2.0-py2.7.egg
Searching for pyramid-beaker==0.8
Best match: pyramid-beaker 0.8
Processing pyramid_beaker-0.8-py2.7.egg
pyramid-beaker 0.8 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/pyramid_beaker-0.8-p                                                                                                                     y2.7.egg
Searching for psycopg2==2.6.1
Best match: psycopg2 2.6.1
Processing psycopg2-2.6.1-py2.7-linux-x86_64.egg
psycopg2 2.6.1 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/psycopg2-2.6.1-py2.7                                                                                                                     -linux-x86_64.egg
Searching for pyramid-layout==1.0
Best match: pyramid-layout 1.0
Processing pyramid_layout-1.0-py2.7.egg
pyramid-layout 1.0 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/pyramid_layout-1.0-p                                                                                                                     y2.7.egg
Searching for WebHelpers==1.3
Best match: WebHelpers 1.3
Processing WebHelpers-1.3-py2.7.egg
WebHelpers 1.3 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/WebHelpers-1.3-py2.7                                                                                                                     .egg
Searching for alembic==0.7.7
Best match: alembic 0.7.7
Processing alembic-0.7.7-py2.7.egg
alembic 0.7.7 is already the active version in easy-install.pth
Installing alembic script to /home/Projects/virtenv/bin

Using /home/Projects/virtenv/lib/python2.7/site-packages/alembic-0.7.7-py2.7.                                                                                                                     egg
Searching for wsgithumb==0.2
Best match: wsgithumb 0.2
Processing wsgithumb-0.2-py2.7.egg
wsgithumb 0.2 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/wsgithumb-0.2-py2.7.                                                                                                                     egg
Searching for colander==1.0
Best match: colander 1.0
Processing colander-1.0-py2.7.egg
colander 1.0 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/colander-1.0-py2.7.e                                                                                                                     gg
Searching for waitress==0.8.9
Best match: waitress 0.8.9
Processing waitress-0.8.9-py2.7.egg
waitress 0.8.9 is already the active version in easy-install.pth
Installing waitress-serve script to /home/Projects/virtenv/bin

Using /home/Projects/virtenv/lib/python2.7/site-packages/waitress-0.8.9-py2.7                                                                                                                     .egg
Searching for zope.sqlalchemy==0.7.6
Best match: zope.sqlalchemy 0.7.6
Processing zope.sqlalchemy-0.7.6-py2.7.egg
zope.sqlalchemy 0.7.6 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/zope.sqlalchemy-0.7.                                                                                                                     6-py2.7.egg
Searching for transaction==1.4.4
Best match: transaction 1.4.4
Processing transaction-1.4.4-py2.7.egg
transaction 1.4.4 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/transaction-1.4.4-py                                                                                                                     2.7.egg
Searching for SQLAlchemy==1.0.8
Best match: SQLAlchemy 1.0.8
Processing SQLAlchemy-1.0.8-py2.7-linux-x86_64.egg
SQLAlchemy 1.0.8 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/SQLAlchemy-1.0.8-py2                                                                                                                     .7-linux-x86_64.egg
Searching for pyramid-tm==0.12
Best match: pyramid-tm 0.12
Processing pyramid_tm-0.12-py2.7.egg
pyramid-tm 0.12 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/pyramid_tm-0.12-py2.                                                                                                                     7.egg
Searching for pyramid-debugtoolbar==2.4
Best match: pyramid-debugtoolbar 2.4
Processing pyramid_debugtoolbar-2.4-py2.7.egg
pyramid-debugtoolbar 2.4 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/pyramid_debugtoolbar                                                                                                                     -2.4-py2.7.egg
Searching for pyramid-mako==1.0.2
Best match: pyramid-mako 1.0.2
Processing pyramid_mako-1.0.2-py2.7.egg
pyramid-mako 1.0.2 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/pyramid_mako-1.0.2-p                                                                                                                     y2.7.egg
Searching for pyramid==1.6a2
Best match: pyramid 1.6a2
Processing pyramid-1.6a2-py2.7.egg
pyramid 1.6a2 is already the active version in easy-install.pth
Installing ptweens script to /home/Projects/virtenv/bin
Installing pdistreport script to /home/Projects/virtenv/bin
Installing proutes script to /home/Projects/virtenv/bin
Installing pshell script to /home/Projects/virtenv/bin
Installing prequest script to /home/Projects/virtenv/bin
Installing pviews script to /home/Projects/virtenv/bin
Installing pcreate script to /home/Projects/virtenv/bin
Installing pserve script to /home/Projects/virtenv/bin

Using /home/Projects/virtenv/lib/python2.7/site-packages/pyramid-1.6a2-py2.7.                                                                                                                     egg
Searching for pytz==2015.4
Best match: pytz 2015.4
Processing pytz-2015.4-py2.7.egg
pytz 2015.4 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/pytz-2015.4-py2.7.eg                                                                                                                     g
Searching for python-dateutil==2.4.2
Best match: python-dateutil 2.4.2
Processing python_dateutil-2.4.2-py2.7.egg
python-dateutil 2.4.2 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/python_dateutil-2.4.                                                                                                                     2-py2.7.egg
Searching for argparse==1.2.1
Best match: argparse 1.2.1
argparse 1.2.1 is already the active version in easy-install.pth

Using /usr/lib/python2.7
Searching for futures==3.0.3
Best match: futures 3.0.3
Processing futures-3.0.3-py2.7.egg
futures 3.0.3 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/futures-3.0.3-py2.7.                                                                                                                     egg
Searching for tzlocal==1.2
Best match: tzlocal 1.2
Processing tzlocal-1.2-py2.7.egg
tzlocal 1.2 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/tzlocal-1.2-py2.7.eg                                                                                                                     g
Searching for six==1.9.0
Best match: six 1.9.0
Processing six-1.9.0-py2.7.egg
six 1.9.0 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/six-1.9.0-py2.7.egg
Searching for setuptools==18.0.1
Best match: setuptools 18.0.1
Adding setuptools 18.0.1 to easy-install.pth file
Installing easy_install-3.4 script to /home/Projects/virtenv/bin
Installing easy_install script to /home/Projects/virtenv/bin

Using /home/Projects/virtenv/lib/python2.7/site-packages
Searching for sphinx-rtd-theme==0.1.8
Best match: sphinx-rtd-theme 0.1.8
Processing sphinx_rtd_theme-0.1.8-py2.7.egg
sphinx-rtd-theme 0.1.8 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/sphinx_rtd_theme-0.1                                                                                                                     .8-py2.7.egg
Searching for alabaster==0.7.6
Best match: alabaster 0.7.6
Processing alabaster-0.7.6-py2.7.egg
alabaster 0.7.6 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/alabaster-0.7.6-py2.                                                                                                                     7.egg
Searching for snowballstemmer==1.2.0
Best match: snowballstemmer 1.2.0
Processing snowballstemmer-1.2.0-py2.7.egg
snowballstemmer 1.2.0 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/snowballstemmer-1.2.                                                                                                                     0-py2.7.egg
Searching for docutils==0.12
Best match: docutils 0.12
Processing docutils-0.12-py2.7.egg
docutils 0.12 is already the active version in easy-install.pth
Installing rst2xetex.py script to /home/Projects/virtenv/bin
Installing rst2xml.py script to /home/Projects/virtenv/bin
Installing rst2s5.py script to /home/Projects/virtenv/bin
Installing rst2man.py script to /home/Projects/virtenv/bin
Installing rst2latex.py script to /home/Projects/virtenv/bin
Installing rstpep2html.py script to /home/Projects/virtenv/bin
Installing rst2html.py script to /home/Projects/virtenv/bin
Installing rst2pseudoxml.py script to /home/Projects/virtenv/bin
Installing rst2odt.py script to /home/Projects/virtenv/bin
Installing rst2odt_prepstyles.py script to /home/Projects/virtenv/bin

Using /home/Projects/virtenv/lib/python2.7/site-packages/docutils-0.12-py2.7.                                                                                                                     egg
Searching for Pygments==2.0.2
Best match: Pygments 2.0.2
Processing Pygments-2.0.2-py2.7.egg
Pygments 2.0.2 is already the active version in easy-install.pth
Installing pygmentize script to /home/Projects/virtenv/bin

Using /home/Projects/virtenv/lib/python2.7/site-packages/Pygments-2.0.2-py2.7                                                                                                                     .egg
Searching for Jinja2==2.8
Best match: Jinja2 2.8
Processing Jinja2-2.8-py2.7.egg
Jinja2 2.8 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/Jinja2-2.8-py2.7.egg
Searching for repoze.sendmail==4.2
Best match: repoze.sendmail 4.2
Processing repoze.sendmail-4.2-py2.7.egg
repoze.sendmail 4.2 is already the active version in easy-install.pth
Installing qp script to /home/Projects/virtenv/bin

Using /home/Projects/virtenv/lib/python2.7/site-packages/repoze.sendmail-4.2-                                                                                                                     py2.7.egg
Searching for Beaker==1.7.0
Best match: Beaker 1.7.0
Processing Beaker-1.7.0-py2.7.egg
Beaker 1.7.0 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/Beaker-1.7.0-py2.7.e                                                                                                                     gg
Searching for MarkupSafe==0.23
Best match: MarkupSafe 0.23
Processing MarkupSafe-0.23-py2.7-linux-x86_64.egg
MarkupSafe 0.23 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/MarkupSafe-0.23-py2.                                                                                                                     7-linux-x86_64.egg
Searching for Mako==1.0.1
Best match: Mako 1.0.1
Processing Mako-1.0.1-py2.7.egg
Mako 1.0.1 is already the active version in easy-install.pth
Installing mako-render script to /home/Projects/virtenv/bin

Using /home/Projects/virtenv/lib/python2.7/site-packages/Mako-1.0.1-py2.7.egg
Searching for Pillow==2.9.0
Best match: Pillow 2.9.0
Processing Pillow-2.9.0-py2.7-linux-x86_64.egg
Pillow 2.9.0 is already the active version in easy-install.pth
Installing pildriver.py script to /home/Projects/virtenv/bin
Installing pilconvert.py script to /home/Projects/virtenv/bin
Installing pilfile.py script to /home/Projects/virtenv/bin
Installing pilfont.py script to /home/Projects/virtenv/bin
Installing pilprint.py script to /home/Projects/virtenv/bin

Using /home/Projects/virtenv/lib/python2.7/site-packages/Pillow-2.9.0-py2.7-l                                                                                                                     inux-x86_64.egg
Searching for WebOb==1.5.0a0
Best match: WebOb 1.5.0a0
Processing WebOb-1.5.0a0-py2.7.egg
WebOb 1.5.0a0 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/WebOb-1.5.0a0-py2.7.                                                                                                                     egg
Searching for iso8601==0.1.10
Best match: iso8601 0.1.10
Processing iso8601-0.1.10-py2.7.egg
iso8601 0.1.10 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/iso8601-0.1.10-py2.7                                                                                                                     .egg
Searching for translationstring==1.3
Best match: translationstring 1.3
Processing translationstring-1.3-py2.7.egg
translationstring 1.3 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/translationstring-1.                                                                                                                     3-py2.7.egg
Searching for zope.interface==4.1.2
Best match: zope.interface 4.1.2
Processing zope.interface-4.1.2-py2.7-linux-x86_64.egg
zope.interface 4.1.2 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/zope.interface-4.1.2                                                                                                                     -py2.7-linux-x86_64.egg
Searching for repoze.lru==0.6
Best match: repoze.lru 0.6
Processing repoze.lru-0.6-py2.7.egg
repoze.lru 0.6 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/repoze.lru-0.6-py2.7                                                                                                                     .egg
Searching for PasteDeploy==1.5.2
Best match: PasteDeploy 1.5.2
Processing PasteDeploy-1.5.2-py2.7.egg
PasteDeploy 1.5.2 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/PasteDeploy-1.5.2-py                                                                                                                     2.7.egg
Searching for venusian==1.0
Best match: venusian 1.0
Processing venusian-1.0-py2.7.egg
venusian 1.0 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/venusian-1.0-py2.7.e                                                                                                                     gg
Searching for zope.deprecation==4.1.2
Best match: zope.deprecation 4.1.2
Processing zope.deprecation-4.1.2-py2.7.egg
zope.deprecation 4.1.2 is already the active version in easy-install.pth

Using /home/Projects/virtenv/lib/python2.7/site-packages/zope.deprecation-4.1                                                                                                                     .2-py2.7.egg
Finished processing dependencies for travelcrm==0.6.3.dev0